using System;
using System.Runtime.InteropServices;
using TaskSchedulerInterop;

namespace TaskScheduler
{
	[ComVisible(true)]
	public class OnLogonTrigger : Trigger
	{
		public OnLogonTrigger()
		{
			this.taskTrigger.Type = TaskTriggerType.EVENT_TRIGGER_AT_LOGON;
		}

		internal OnLogonTrigger(ITaskTrigger iTrigger) : base(iTrigger)
		{
		}
	}
}
